<div *ngIf="currentTest" class="edit-form col-md-8 colonne-centree" style="margin-left: 520px;">
    <form>
      <!-- NOM TEST -->
      <div class="input-w">
        <label for="nomtest"
          style="position: relative; font-size: 20px;margin-right: 78px;"><strong>Nom Test</strong></label>
        <input id="input" style="width: 800px; height: 50px;font-size: 20px; margin-bottom: 10px;" type="text"
          id="nomtest" [(ngModel)]="currentTest.nomtest" name="nomtest" />
      </div> 
    </form>
  
    <div style="margin-top: 20px; margin-left: 160px; ">
      <!--Modifier un test-->
      <button id="btnmodif" style="margin-left: 10px; " type="submit" style="height: 50px; width: 160px;"
        class="btn btn-success mr-7" (click)="updateTest()">
        Mettre à jour
      </button>
      <!--Supprimer un utilisateur-->
      <button id="btnmodif" class="btn btn-danger mr-7 " style="height: 50px; width: 160px; margin-left: 10px;"
        (click)="deleteTest()">
        Supprimer
      </button>
  
      <!--Retour a la liste-->
      <button id="btnmodif" style="background-color:rgb(43, 42, 42) ; font-size: 15px; margin-left: 10px;"
        style="height: 50px; width: 160px; margin-left: 10px;" type="submit" class="btn  mr-7" (click)="liste()">
        Liste des Tests
      </button>
      <p style="font-size: medium;font-style: italic;">{{ message }}</p>
       <!-- Alert echoue-->
     <div class="form-group">
      <div class="alert alert-danger" 
           role="alert"
          *ngIf="isFailed"
      >
        <strong>échec de modification :</strong> {{ errorMessage }}
      </div>
     </div>
    </div>
  
  </div>
  
  <div *ngIf="!currentTest">
    <br />
    <p>Cannot access this User...</p>
  </div>